Subject: MEK

From: [email-masked]
Date: Mon May 19 09:40:31 2003

I checked...  I can't seem to find any government controls on MEK in the
U.S. anywhere.  And the MSDS reads essentially identically to the one for
Acetone.

Peace...  Sridhar